Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.kodo.runtime
Interface PCData

All Superinterfaces:
  Serializable

All Known Implementing Classes:
  PCDataImpl, TimedPCData

public interface PCData
extends Serializable

Holds data about a single persistence capable instance.

Method Summary
`boolean` | `checkVersion(StateManagerImpl sm)` Returns true if the version of the given state manager matches the cached version.
`Object` | `getData(int index)` Returns the stored data value for the field at `index`.
`Object` | `getIntermediate(int index)` Returns the stored intermediate field value for the field at `index`, or null if none.
`boolean` | `getLoaded(int index)` Returns `true` if the field at `index` is loaded; else returns `false`.
`Object` | `getOid()` Returns the object ID of the data represented by this object.
`Class` | `getType()` Returns the type of the object represented by this data structure.
`Object` | `getVersion()` Returns the current version object that this data was loaded from.
`void` | `load(StateManagerImpl sm)` Loads all fields that are currently stored in the cache into the given state manager.
`BitSet` | `load(StateManagerImpl sm, Object conn, BitSet fields, boolean setVersion)` Loads some or all of the marked fields from the cache into the given state manager.
`void` | `setData(int index, Object val)` Sets the stored data value for the field at `index` to `val`.
`void` | `setIntermediate(int index, Object val)` Sets the stored intermediate field value at `index` to `val`.
`void` | `setLoaded(int index, boolean loaded)` Sets the `loaded` flag for the field at `index`.
`void` | `setVersion(Object version)` Sets the current version object that this data was loaded from.
`void` | `store(StateManagerImpl sm)` Stores all fields that are currently loaded in `sm` into the cache.
`void` | `store(StateManagerImpl sm, BitSet fields)` Stores all of the fields identified in `fields`.

Method Detail

### getOid

    public Object getOid()

  Returns the object ID of the data represented by this object.

### getType

    public Class getType()

  Returns the type of the object represented by this data structure. This is a `Class` object, so client code that may use different class loaders should take care with this variable.

### getData

    public Object getData(int index)

  Returns the stored data value for the field at `index`. `null` could mean that the field is unset or that the field is set to `null`, so you should use `getLoaded(int)` to check the loaded status of the field.

### setData

    public void setData(int index,
                        Object val)

  Sets the stored data value for the field at `index` to `val`.

### getIntermediate

    public Object getIntermediate(int index)

  Returns the stored intermediate field value for the field at `index`, or null if none.

### setIntermediate

    public void setIntermediate(int index,
                                Object val)

  Sets the stored intermediate field value at `index` to `val`.

### getLoaded

    public boolean getLoaded(int index)

  Returns `true` if the field at `index` is loaded; else returns `false`.

### setLoaded

    public void setLoaded(int index,
                          boolean loaded)

  Sets the `loaded` flag for the field at `index`.

### getVersion

    public Object getVersion()

  Returns the current version object that this data was loaded from.

### setVersion

    public void setVersion(Object version)

  Sets the current version object that this data was loaded from.

### checkVersion

    public boolean checkVersion(StateManagerImpl sm)

  Returns true if the version of the given state manager matches the cached version.

### load

    public void load(StateManagerImpl sm)

  Loads all fields that are currently stored in the cache into the given state manager.
  Parameters:
    `sm` - the state manager to load

### load

    public BitSet load(StateManagerImpl sm,
                       Object conn,
                       BitSet fields,
                       boolean setVersion)

  Loads some or all of the marked fields from the cache into the given state manager.
  Parameters:
    `sm` - the state manager to load
    `conn` - the connection information passed to the store manager
    `fields` - the fields to load; all field bits that are successfully loaded from the cache will be cleared
    `setVersion` - if the version information should be loaded
  Returns:
    a mask of the still unloaded fields

### store

    public void store(StateManagerImpl sm)

  Stores all fields that are currently loaded in `sm` into the cache.
  Parameters:
    `sm` - the state manager to store

### store

    public void store(StateManagerImpl sm,
                      BitSet fields)

  Stores all of the fields identified in `fields`.
  Parameters:
    `sm` - the state manager to store.
    `fields` - the fields in `sm` to store.

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002,2003 SolarMetric, Inc. All Rights Reserved.